package com.iformall.enums;


/**
 * @author gongbiao
 */

public enum EnumContractOperationType {

    PART(1, "区分租赁物业"),
    WHOLE(2, "合并租赁物业"),;

    public static EnumContractOperationType getEnum(Integer code) {
        for (EnumContractOperationType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumContractOperationType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
